# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_ModifiedGeometricTolerance Class Reference

Representation of STEP entity ModifiedGeometricTolerance
.

`#include <StepDimTol_ModifiedGeometricTolerance.hxx>`

Inheritance diagram for StepDimTol_ModifiedGeometricTolerance:

[legend]

## Public Member Functions

Standard_EXPORT | StepDimTol_ModifiedGeometricTolerance ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aGeometricTolerance_Name, const Handle(TCollection_HAsciiString)&aGeometricTolerance_Description, const Handle(StepBasic_MeasureWithUnit)&aGeometricTolerance_Magnitude, const Handle(StepRepr_ShapeAspect)&aGeometricTolerance_TolerancedShapeAspect, const StepDimTol_LimitCondition aModifier)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepDimTol_LimitCondition | Modifier () const
| Returns field Modifier .
Standard_EXPORT void | SetModifier (const StepDimTol_LimitCondition Modifier)
| Set field Modifier .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepDimTol_LimitCondition | theModifier

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_ModifiedGeometricTolerance::StepDimTol_ModifiedGeometricTolerance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepDimTol_ModifiedGeometricTolerance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepDimTol_GeometricTolerance.

Standard_EXPORT void StepDimTol_ModifiedGeometricTolerance::Init | ( | const Handle(TCollection_HAsciiString)& | aGeometricTolerance_Name,
|  | const Handle(TCollection_HAsciiString)& | aGeometricTolerance_Description,
|  | const Handle(StepBasic_MeasureWithUnit)& | aGeometricTolerance_Magnitude,
|  | const Handle(StepRepr_ShapeAspect)& | aGeometricTolerance_TolerancedShapeAspect,
|  | const StepDimTol_LimitCondition | aModifier
| ) |

Standard_EXPORT StepDimTol_LimitCondition StepDimTol_ModifiedGeometricTolerance::Modifier | ( |  | ) | const

Standard_EXPORT void StepDimTol_ModifiedGeometricTolerance::SetModifier | ( | const StepDimTol_LimitCondition | Modifier | ) |

## Field Documentation

StepDimTol_LimitCondition StepDimTol_ModifiedGeometricTolerance::theModifier `[private]`

The documentation for this class was generated from the following file:

- StepDimTol_ModifiedGeometricTolerance.hxx